Subject: Re: bug#79242: 30.1; [ELPA] More proposed improvements for oauth2

From: Xiyue Deng <[email-masked]>
Date: Mon, 01 Sep 2025 16:53:32 -0700

Sean Whitton <[email-masked]> writes:

> Hello,
>
> On Sun 31 Aug 2025 at 11:22pm -07, Xiyue Deng wrote:
>
>> Thanks for confirming!  I took the liberty and created a repo on
>> gitlab.com[1] for hosting.  I avoided Salsa because it's mainly used for
>> Debian packaging and a repo in your personal namespace is usually
>> considered a fork from team or debian repo, so using it as a upstream
>> repo may be confusing. (But do let me know if that's preferred, and I'm
>> fine to move the repo to Salsa.) I have also added versioned tags (e.g
>> v0.1, v0.2, etc.) to match the corresponding commits.
>>
>> Let me know what are still missing for setting up the external repo.
>> Thanks again!
>
> Avoiding salsa is fine, it was just a suggestion, though I don't think
> your interpretation of the salsa personal namespace matches other
> people's.
>

Haha, OK.

> In any case I've switched ELPA over to fetch from your gitlab.com
> repository.  Could you go through and apply the relevant patches and
> then ensure the bugs in debbugs are all closed, please?
>

Sure.  Revised the patches, added Gitlab CI, pushed, and tagged v0.18.
Closing.

> Thank you for taking this on.
>

My pleasure!

> -- 
> Sean Whitton

-- 
Regards,
Xiyue Deng